--- a/arch/mips/Kbuild.platforms
+++ b/arch/mips/Kbuild.platforms
@@ -30,6 +30,7 @@ platforms += sibyte
 platforms += sni
 platforms += txx9
 platforms += vr41xx
+platforms += adm8668
 
 # include the platform specific files
 include $(patsubst %, $(srctree)/arch/mips/%/Platform, $(platforms))
--- a/arch/mips/Kconfig
+++ b/arch/mips/Kconfig
@@ -136,6 +136,27 @@ config BCM47XX
 	help
 	 Support for BCM47XX based boards
 
+config ADM8668
+	bool "WildPass ADM8668"
+	select SYS_HAS_CPU_MIPS32_R1
+	select BOOT_RAW
+	select NO_EXCEPT_FILL
+	select IRQ_CPU
+	select CEVT_R4K
+	select CSRC_R4K
+	select HW_HAS_PCI
+	select PCI
+	select SYS_SUPPORTS_LITTLE_ENDIAN
+	select SYS_SUPPORTS_32BIT_KERNEL
+	select DMA_NONCOHERENT
+	select SWAP_IO_SPACE
+	select SYS_HAS_EARLY_PRINTK
+	select ARCH_REQUIRE_GPIOLIB
+	select HAVE_CLK
+	help
+		ADM8668 board support by neutronscott
+		Scott Nicholas <neutronscott@scottn.us>
+
 config BCM63XX
 	bool "Broadcom BCM63XX based boards"
 	select BOOT_RAW
@@ -834,6 +855,7 @@ config MIPS_PARAVIRT
 
 endchoice
 
+source "arch/mips/adm8668/Kconfig"
 source "arch/mips/alchemy/Kconfig"
 source "arch/mips/ath79/Kconfig"
 source "arch/mips/bcm47xx/Kconfig"
